import { html as n } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, c = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? u(t, s) : t, i = p.length - 1, o; i >= 0; i--)
    (o = p[i]) && (e = (r ? o(t, s, e) : o(e)) || e);
  return r && e && m(t, s, e), e;
};
let l = class extends a {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--chequeFilledLarge", this.class = "c-pieIcon c-pieIcon--chequeFilledLarge", this.name = "IconChequeFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--chequeFilledLarge"><path d="m19.832 14.539-3.788.586.542-3.789 6.23-6.274a2.31 2.31 0 0 1 2.503-.498l1.435-1.435 1.242 1.242-1.435 1.435a2.31 2.31 0 0 1-.498 2.503l-6.23 6.23Zm9.293-2.914v14H2.875v-14h11.891l-.787 5.521 6.676-.954 4.559-4.567h3.911ZM17.75 19.5H7.25v1.75h10.5V19.5Zm7 0h-3.5v1.75h3.5V19.5Z"></path></svg>`;
  }
};
c([
  h({ type: String, reflect: !0 })
], l.prototype, "size", 2);
c([
  h({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = c([
  f("icon-cheque-filled-large")
], l);
export {
  l as IconChequeFilledLarge
};
